/ Timeline / TimelineModel
Search results

TimelineModel API in JavaScript (ES5) Timeline API control

Interface for a class Timeline

Properties

beforeItemRender

EmitType<TimelineRenderingEventArgs>

Event triggers before rendering each item.

created

EmitType<Event>

Event callback that is raised after rendering the timeline.

align

string | TimelineAlign

Defines the alignment of item content within the Timeline. The possible values are:

  • Before
  • After
  • Alternate
  • AlternateReverse
    <div id="timeline"> </div>
import { Timeline, ItemModel } from '@syncfusion/ej2-layouts';

const textContent: ItemModel[] = [
    { content: 'Cart' },
    { content: 'Personal Info' },
    { content: 'Delivery Address' },
    { content: 'Payment' }
];

let timelineObj: Timeline = new Timeline({
    items : textContent,
    align: 'before'
});
timelineObj.appendTo('#timeline');

cssClass

string

Defines the CSS class to customize the Timeline appearance.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

enableRtl

boolean

Enable or disable rendering component in right to left direction.

items

TimelineItemModel[]

Defines the list of items.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

orientation

string | TimelineOrientation

Defines the orientation type of the Timeline. The possible values are:

  • Horizontal
  • vertical
    <div id="timeline"> </div>
import { Timeline } from '@syncfusion/ej2-layouts';

let timelineObj: Timeline = new Timeline({
    items: [{}, {}, {}, {}],
    orientation: 'horizontal'
});
timelineObj.appendTo('#timeline');

reverse

boolean

Defines whether to show the timeline items in reverse order or not.

template

string | Function

Defines the template content for each timeline item. The template context will contain the item model.

    <div id="timeline"> </div>
import { Timeline } from '@syncfusion/ej2-layouts';

let timelineObj: Timeline = new Timeline({
    items: [{}, {}, {}, {}],
    template: '<span>${currentItem}</span>'
});
timelineObj.appendTo('#timeline');

TimelineModel

1 Oct 20253 minutes to read

Interface for a class Timeline

Properties

beforeItemRender EmitType<TimelineRenderingEventArgs>

Event triggers before rendering each item.

created EmitType<Event>

Event callback that is raised after rendering the timeline.

align string|TimelineAlign

Defines the alignment of item content within the Timeline.
The possible values are:

  • Before
  • After
  • Alternate
  • AlternateReverse
<template>
  <ejs-timeline id="timeline" :items="textContent" align="before"></ejs-timeline>
</template>

<script>
import Vue from "vue";
import { TimelinePlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(TimelinePlugin);

export default Vue.extend({
  data: function() {
    return {
        textContent: [
            { content: 'Cart' },
            { content: 'Personal Info' },
            { content: 'Delivery Address' },
            { content: 'Payment' }
        ]
    };
  }
});
</script>

cssClass string

Defines the CSS class to customize the Timeline appearance.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

enableRtl boolean

Enable or disable rendering component in right to left direction.

items TimelineItemModel[]

Defines the list of items.

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

orientation string|TimelineOrientation

Defines the orientation type of the Timeline.
The possible values are:

  • Horizontal
  • vertical
<template>
  <ejs-timeline id="timeline" :items="items" orientation="horizontal"></ejs-timeline>
</template>

<script>
import Vue from "vue";
import { TimelinePlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(TimelinePlugin);

export default Vue.extend({
  data: function() {
    return { items: [{}, {}, {}, {}] };
  }
});
</script>

reverse boolean

Defines whether to show the timeline items in reverse order or not.

template string|function

Defines the template content for each timeline item. The template context will contain the item model.

<template>
  <ejs-timeline id="timeline" :items="items" :template="template"></ejs-timeline>
</template>
<script>
import Vue from "vue";
import { TimelinePlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(TimelinePlugin);

export default Vue.extend({
  data: function() {
    return {
        items: [{}, {}, {}, {}],
        template: '<span>${currentItem}</span>'
    };
  }
});
</script>

Search results

TimelineModel API in Angular Timeline API component

Interface for a class Timeline

Properties

beforeItemRender

EmitType<TimelineRenderingEventArgs>

Event triggers before rendering each item.

created

EmitType<Event>

Event callback that is raised after rendering the timeline.

align

string | TimelineAlign

Defines the alignment of item content within the Timeline. The possible values are:

  • Before
  • After
  • Alternate
  • AlternateReverse
<ejs-timeline id="timeline" [items]="textContent" align="before"></ejs-timeline>
import { Component, ViewChild, ViewEncapsulation } from "@angular/core";
import { ItemModel, Timeline } from '@syncfusion/ej2-angular-layouts';

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styles: [`app.component.css`],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public textContent: ItemModel[] = [
        { content: 'Cart' },
        { content: 'Personal Info' },
        { content: 'Delivery Address' },
        { content: 'Payment' }
    ];
}

cssClass

string

Defines the CSS class to customize the Timeline appearance.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

enableRtl

boolean

Enable or disable rendering component in right to left direction.

items

TimelineItemModel[]

Defines the list of items.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

orientation

string | TimelineOrientation

Defines the orientation type of the Timeline. The possible values are:

  • Horizontal
  • vertical
<ejs-timeline id="timeline" [items]="items" orientation="horizontal"></ejs-timeline>
import { Component, ViewChild, ViewEncapsulation } from "@angular/core";
import { ItemModel, Timeline } from '@syncfusion/ej2-angular-layouts';

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styles: [`app.component.css`],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public items: ItemModel[] = [{}, {}, {}, {}];
}

reverse

boolean

Defines whether to show the timeline items in reverse order or not.

template

string | object

Defines the template content for each timeline item. The template context will contain the item model.

<ejs-timeline id="timeline" [items]="items" [template]='<span>${currentItem}</span>'></ejs-timeline>
import { Component, ViewChild, ViewEncapsulation } from "@angular/core";
import { ItemModel, Timeline } from '@syncfusion/ej2-angular-layouts';

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styles: [`app.component.css`],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public items: ItemModel[] = [{}, {}, {}, {}];
}